package edu.travel.emun;

/**
 * ResponseCode 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/11
 */
public enum ResponseCode implements StatusCode {
    /**
     * 成功
     */
    SUCCESS(200, "操作成功"),
    /**
     * 失败
     */
    ERROR(500, "服务端错误。"),
    /**
     * 业务逻辑错误
     */
    LOGIC_ERROR(400, "业务逻辑错误"),
    /**
     * 需要登录
     */
    LOGIN_ERROR(401, "账号登录过期，请重新登录！"),

    /**
     * 需要登录
     */
    NO_PERMISSION(400, "没有接口访问权限");


    private final Integer code;
    private String message;

    ResponseCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public ResponseCode setMessage(String message) {
        this.message = message;
        return this;
    }
}
