package edu.travel.commodity.remote;

import edu.travel.commodity.dto.BaseCountryDto;
import edu.travel.commodity.dto.BaseCountryServeDTO;
import edu.travel.commodity.vo.BaseCountryServeVo;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.resp.BaseResponse;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.Errors;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(path = "/base_country_serve",name = "commodity")
public interface BaseCountryServeRemoteController extends RemoteBaseController<BaseCountryServeVo, BaseCountryDto> {
    @GetMapping("/getByControlId")
    RPCBaseResponse getByControlId( @RequestBody String id);

}
